summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-12 17:42:53 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:42:53 +0200
commit33156cac27b7ac0b7fcf105aec88d6b449f27da3 (patch)
tree2ef2e1c9a15ae9db8c27d493af2acf1e835e73f1
parent1ad2640484f0ec2c0808c2d698017c18950f510e (diff)
downloadslackbuilds-33156cac27b7ac0b7fcf105aec88d6b449f27da3.tar.gz
slackbuilds-33156cac27b7ac0b7fcf105aec88d6b449f27da3.tar.xz
multimedia/xvidcore: Updated for version 1.2.1
-rw-r--r--multimedia/xvidcore/README1
-rw-r--r--multimedia/xvidcore/slack-desc10
-rw-r--r--multimedia/xvidcore/xvidcore.SlackBuild43
-rw-r--r--multimedia/xvidcore/xvidcore.info8
4 files changed, 37 insertions, 25 deletions
diff --git a/multimedia/xvidcore/README b/multimedia/xvidcore/README
index 77995e6f6e..9b4d00a6f4 100644
--- a/multimedia/xvidcore/README
+++ b/multimedia/xvidcore/README
@@ -2,4 +2,3 @@ Xvid is an ISO MPEG-4 compliant video codec. It is an open source
project that is developed and maintained by people from all over
the world. Xvid claims to be the best currently available MPEG-4
video codec solution, and it is free software.
-
diff --git a/multimedia/xvidcore/slack-desc b/multimedia/xvidcore/slack-desc
index bb1efcb95d..8a55791e94 100644
--- a/multimedia/xvidcore/slack-desc
+++ b/multimedia/xvidcore/slack-desc
@@ -1,11 +1,11 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
xvidcore: Xvid (MPEG-4 Compliant Video Codec)
xvidcore:
xvidcore: Xvid is an ISO MPEG-4 compliant video codec. It is an open source
diff --git a/multimedia/xvidcore/xvidcore.SlackBuild b/multimedia/xvidcore/xvidcore.SlackBuild
index 38e702bb1e..c52dab9c68 100644
--- a/multimedia/xvidcore/xvidcore.SlackBuild
+++ b/multimedia/xvidcore/xvidcore.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Xvid
-# Copyright 2007 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2007, 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,59 +23,72 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xvidcore
-VERSION=1.1.3
+VERSION=${VERSION:-1.2.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="AUTHORS ChangeLog* CodingStyle LICENSE README TODO doc"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
-cd $PRGNAM-$VERSION || exit 1
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
+cd $PRGNAM || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
cd build/generic || exit 1
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-cd $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog* CodingStyle LICENSE README TODO doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Per doc/INSTALL, create some symlinks to the shared object. This
# should be safe, as the maintainers assure that they won't change the
# major library number unless there is an incompatible ABI change:
-( cd $PKG/usr/lib
- ln -s libxvidcore.so.4.1 libxvidcore.so.4
- ln -s libxvidcore.so.4.1 libxvidcore.so
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -s libxvidcore.so.4.2 libxvidcore.so.4
+ ln -s libxvidcore.so.4.2 libxvidcore.so
)
mkdir -p $PKG/install
diff --git a/multimedia/xvidcore/xvidcore.info b/multimedia/xvidcore/xvidcore.info
index e9dbae0537..933646219a 100644
--- a/multimedia/xvidcore/xvidcore.info
+++ b/multimedia/xvidcore/xvidcore.info
@@ -1,8 +1,8 @@
PRGNAM="xvidcore"
-VERSION="1.1.3"
+VERSION="1.2.1"
HOMEPAGE="http://www.xvid.org/"
-DOWNLOAD="http://downloads.xvid.org/downloads/xvidcore-1.1.3.tar.bz2"
-MD5SUM="29c60d4d991ac18f687a8fd13cfe64b7"
+DOWNLOAD="http://downloads.xvid.org/downloads/xvidcore-1.2.1.tar.gz"
+MD5SUM="3f57b3e153687fddefc9ccdf0dc737b7"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="alien,Erik Hanson"
+APPROVED="dsomero"